Page MenuHomePhabricator

Run migrateAccount.php --auto on all usernames with unattached accounts
Closed, ResolvedPublic

Description

Now that T70069 is closed, having local usernames without a corresponding global account is just an annoyance for all the local accounts' owners. By unifying all of them, we can make sure that at least the winner can register in new wikis without ugly errors.

This involves running migrateAccount.php --auto (without --safe) against all usernames corresponding to the 4.7 M unattached accounts.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Nemo_bis assigned this task to Legoktm.
Nemo_bis raised the priority of this task from to High.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added projects: SUL-Finalization, Shell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2015, 10:48 PM
Keegan added a subscriber: Keegan.Feb 17 2015, 10:55 PM

This needs to be run as soon as possible.

This needs to be run as soon as possible.

@Legoktm: Any vague timeframe?

Aklapper set Security to None.
Keegan moved this task from To-do to Doing on the SUL-Finalization board.Mar 16 2015, 7:54 PM

This needs to be run as soon as possible.

@Legoktm: Any vague timeframe?

Happening now.

Keegan closed this task as Resolved.Mar 17 2015, 5:12 PM
Keegan moved this task from Doing to Done on the SUL-Finalization board.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 24 2015, 11:05 PM